# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           kde-plasma-runcommand
Version:        2.4
Release:        alt1_3
Summary:        Simple plasmoid to run commands without using terminal or KRunner

Group:          Graphical desktop/Other
License:        GPLv2+
URL:            http://www.kde-look.org/content/show.php/Run+Command?content=91495

Source0:        http://www.kde-look.org/CONTENT/content-files/91495-runcommand-%{version}.tar.bz2


BuildRequires:  kde4base-workspace-devel >= 4.3.0
BuildRequires:  gettext
Source44: import.info

%description
Simple plasmoid to run commands without using terminal or KRunner. Inspired by
KRunner runners, plasma-runner and KDE3 equivalent.


%prep
%setup -qn runcommand-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ../applet
popd

make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}


%install
make install DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang plasma_applet_runcommand

%files -f plasma_applet_runcommand.lang
%doc COPYING README CHANGELOG TODO
%{_kde4_libdir}/kde4/plasma_applet_runcommand.so
%{_kde4_datadir}/kde4/services/plasma-applet-runcommand.desktop

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_3
- initial fc import

